Bug 1026892 - JDBC importer adds wrong column type for columns of type integer, when importing(Reusing) VDB
JDBC importer adds wrong column type for columns of type integer, when import...
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: CR1
: 6.0
Assigned To: Van Halbert
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 10:29 EST by Filip Elias
Modified: 2014-07-09 01:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If using the loopback VDB to import a VDB as a data source to another, and the imported VDB contains table with column of type integer, then a validation error is presented to the user.
Story Points: ---
Clone Of:
Environment:
JBDS 7.0.0 GA Tooling 4.1.3.Beta5 (http://download.jboss.org/jbosstools/updates/integration/kepler/integration-stack/aggregate/4.1.3.Beta5/)
Last Closed: 2014-02-06 10:37:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-1918 Critical Closed JDBC importer adds wrong column type for columns of type integer, when importing(Reusing) VDB 2015-08-12 08:17:32 EDT

  None (edit)
Description Filip Elias 2013-11-05 10:29:52 EST
When a VDB is imported(reused) by another VDB and the imported VDB contains table with column of type integer, then the importing VDB will throw validation error.

Steps to reproduce:
1. Create loopback VDB, add table DATA with two columns, one of type integer and one of the string
2. Deploy the loopback VDB
3. Reuse the  looback VDB
3.1. Import the loopback VDB through JDBC importer
     "Import as VDB source model" have to be checked
3.2  Create view model, use table DATA in the view model 
3.3  Create and deploy new VDB

When deploying the VDB, error occures: 

TEIID31080 View data validation error: QueryValidatorException-The definition for data has the wrong type for column 1.  Expected bigdecimal, but was biginteger.
15:57:48,718 INFO  [org.teiid.RUNTIME] (teiid-async-threads - 1) TEIID40073 The metadata for the VDB aaa.1 is loaded, however it is not valid. Check models for errors. Correct the metadata and re-deploy.
15:57:48,719 INFO  [org.teiid.RUNTIME] (teiid-async-threads - 1) TEIID40003 VDB aaa.1 is set to FAILED
Comment 1 JBoss JIRA Server 2013-11-08 15:20:07 EST
Mark Drilling <mdrilling@redhat.com> made a comment on jira TEIIDDES-1918

I ran into a couple problems with the scenario (from Designer).  Maybe I'm doing something wrong...

1) Steps 1-3.  I created a Model with one table and two columns.  Then created a VDB, added the Model, set the translator to 'loopback'.  I could not deploy/execute the VDB from Designer.  It requires a CP to be set, but there is no CP.  
Then I manually copied the VDB to the server deployments folder, then was able to query it.

2) I couldnt complete steps 3.1-3.3.  The last page of the importer would not let me specify a new model.  Step 3.1 says "Import as VDB source model" has be be checked, but I had to uncheck it.
Comment 2 Filip Elias 2013-11-11 03:24:02 EST
Hello Mark, 

1) You have to choose any JNDI Name (in the Source Binding Definition ) from the list. Then you should be able to deploy loopback VDB.

2) Do you create the importing VDB in the different Teiid Model Project? Otherwise the model name collides with the model name of the loopback VDB and can't be changed.
Comment 3 JBoss JIRA Server 2013-11-14 16:55:03 EST
Mark Drilling <mdrilling@redhat.com> made a comment on jira TEIIDDES-1918

I see where the type mismatch is ocurring.  Will discuss potential fix with Barry tomorrow.  Also need to go thru a couple 'VDB source model' scenarios with him.
Comment 4 JBoss JIRA Server 2013-11-18 10:15:08 EST
Mark Drilling <mdrilling@redhat.com> updated the status of jira TEIIDDES-1918 to Resolved
Comment 5 JBoss JIRA Server 2013-11-18 10:15:08 EST
Mark Drilling <mdrilling@redhat.com> made a comment on jira TEIIDDES-1918

Resolved type mismatch issue
pull request - https://github.com/Teiid-Designer/teiid-designer/pull/259
Comment 6 Filip Elias 2014-01-07 07:32:05 EST
Verified on DV6 CR1, JBDS 7.1.0, JBDS IS 7.0.0.CR1
Comment 7 JBoss JIRA Server 2014-05-07 17:04:42 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-1918 to Closed

Note You need to log in before you can comment on or make changes to this bug.